@poka_nikto

Как устранить ошибку python-for-android?

Сижу на windows. Нужно писать на python/kivy под Android, но попались определенные проблемы со сборкой кода python в apk. Не нашел программ под винду, лишь под линукс, поэтому с сайта kivy скачал и запустил их виртуальную машину, в которой был Buildozer. С ним ничего не получилось, начал устанавливать python-for-android. При вводе такой команды в терминале:
p4a apk --requirements=python3,kivy --private $HOME/Documents/myapp.py --package=net.example.myapp --name="myapp" --version=0.5 --bootstrap=sdl2


Выдает ошибку
[INFO]: This python-for-android revamp is an experimental alpha release!
[INFO]: It should work (mostly), but you may experience missing features or bugs.
[INFO]: Will compile for the following archs: armeabi
[INFO]: Found Android API target in $ANDROIDAPI
Traceback (most recent call last):
File "/usr/local/bin/p4a", line 11, in
load_entry_point('python-for-android==0.4', 'console_scripts', 'p4a')()
File "/usr/local/lib/python2.7/dist-packages/pythonforandroid/toolchain.py", line 754, in main
ToolchainCL()
File "/usr/local/lib/python2.7/dist-packages/pythonforandroid/toolchain.py", line 343, in init
getattr(self, command_method_name)(unknown)
File "/usr/local/lib/python2.7/dist-packages/pythonforandroid/toolchain.py", line 87, in wrapper_func
user_ndk_ver=self.ndk_version)
File "/usr/local/lib/python2.7/dist-packages/pythonforandroid/build.py", line 227, in prepare_build_environment
targets = android('list').stdout.decode('utf-8').split('\n')
File "/usr/local/lib/python2.7/dist-packages/sh.py", line 1245, in call
return RunningCommand(cmd, call_args, stdin, stdout, stderr)
File "/usr/local/lib/python2.7/dist-packages/sh.py", line 633, in init
self.wait()
File "/usr/local/lib/python2.7/dist-packages/sh.py", line 651, in wait
self.handle_command_exit_code(exit_code)
File "/usr/local/lib/python2.7/dist-packages/sh.py", line 672, in handle_command_exit_code
raise exc
sh.ErrorReturnCode_2:

RAN: /home/kivy/Documents/android-sdk-21/tools/android list

STDOUT:
*********************************************************************
The "android" command is deprecated.
For manual SDK, AVD, and project management, please use Android Studio.
For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
*********************************************************************
Invalid or unsupported command "list"

Supported commands are:
android list target
android list avd
android list device
android create avd
android move avd
android delete avd
android list sdk
android update sdk

STDERR:



Что с этим можно сделать? (Если что, вы можете посоветовать мне какую-то другую программу для этих целей:))
  • Вопрос задан
  • 119 просмотров
Пригласить эксперта
Ответы на вопрос 1
dimonchik2013
@dimonchik2013
почему ракеты не летают как птицы?
версии Питона точно те что нужно? 2 и 3 ?
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через TM ID
Похожие вопросы
14 авг. 2018, в 10:57
2400 руб./за проект
14 авг. 2018, в 10:44
3000 руб./за проект
14 авг. 2018, в 09:38
5000 руб./за проект